Skip to main content
GET
/
v0
/
tasks
/
task-coverage
Get task coverage statistics
curl --request GET \
  --url https://api.avidoai.com/v0/tasks/task-coverage \
  --header 'x-api-key: <api-key>' \
  --header 'x-application-id: <api-key>'
{
  "taskCoverage": 75,
  "taskCount": 20,
  "taskWithTestCount": 15
}

Authorizations

x-api-key
string
header
required

Your unique Avido API key

x-application-id
string
header
required

Your unique Avido Application ID

Query Parameters

createdAtGte
string<date-time>
required

Filter tasks with tests created on or after this date

Example:

"2024-01-01T00:00:00.000Z"

createdAtLte
string<date-time>
required

Filter tasks with tests created on or before this date

Example:

"2024-02-01T00:00:00.000Z"

Response

Successfully retrieved task coverage statistics

Response containing task coverage statistics

taskCoverage
number
required

The percentage of active tasks that have at least one test run in the given date range

Example:

75

taskCount
integer
required

The total number of active tasks

Required range: -9007199254740991 <= x <= 9007199254740991
Example:

20

taskWithTestCount
integer
required

The number of active tasks that have at least one test run in the given date range

Required range: -9007199254740991 <= x <= 9007199254740991
Example:

15